import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化机床项目
export function initMachineProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      // name: 'PDM_项目名称_查询数据'
      name: '采购管理_仓库采购_出库记录_机床图号_查询'
    }
  })
}
// 分组查询
export function searchGroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      // name: 'PDM_组件名称_查询数据',
      name: '采购管理_仓库采购_出库记录_组件名称_查询',
      param: '机床流水号=' + num
    }
  })
}
// 查询记录
export function searchRecord(check1, project, check2, machine, check3, group, check4, name, check5, spec, check6, model, check7, time1, time2, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: `库存管理_出库记录_查询数据`,
      param: `项目流水号_check=${check1}&项目流水号=${project}&机床流水号_check=${check2}&机床流水号=${machine}&组件流水号_check=${check3}&组件流水号=${group}&名称_check=${check4}&名称=${name}&规格_check=${check5}&规格=${spec}&图号或型号_check=${check6}&图号或型号=${model}&出库时间_check=${check7}&出库开始时间=${time1}&出库结束时间=${time2}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询总数量
export function searchRecord1(check1, project, check2, machine, check3, group, check4, name, check5, spec, check6, model, check7, time1, time2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: `库存管理_出库记录_查询数据_统计总数量`,
      param: `项目流水号_check=${check1}&项目流水号=${project}&机床流水号_check=${check2}&机床流水号=${machine}&组件流水号_check=${check3}&组件流水号=${group}&名称_check=${check4}&名称=${name}&规格_check=${check5}&规格=${spec}&图号或型号_check=${check6}&图号或型号=${model}&出库时间_check=${check7}&出库开始时间=${time1}&出库结束时间=${time2}`
    }
  })
}
export function submitNumber(num, num1, num2, type, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '库存管理_出库记录_编辑数据_新',
      param: '零件流水号=' + num + '&数量=' + num1 + '&机床流水号=' + num2 + '&出库类型=' + type + '&领料人=' + num3
    }
  })
}
export function deletemessage(type, num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '库存管理_出库记录_删除数据',
      param: '出库类型=' + type + '&零件流水号=' + num
    }
  })
}
export function searchMax(num, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '库存管理_最大货位存量_查询数据',
      param: '物料流水号=' + num + '&组件零件基本件流水号=' + num1
    }
  })
}
export function initMachine() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}

export function selectleaders() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '出库管理_人员查询1'
    }
  })
}
